%define major 8
%define libname %mklibname %{name} %{major}
%define devname %mklibname -d %{name}

Name:		opensaml
Version:	2.5.2
Release:	%mkrel 4
Summary:	OpenSAML SAML library
Group:		System/Libraries
License:	Apache 2.0
URL:		http://www.opensaml.org/
Source0:	http://shibboleth.net/downloads/c++-opensaml/%{version}/%{name}-%{version}.tar.gz
Patch0:		opensaml-2.5.2-mga-boost_1.53.patch

BuildRequires:  xerces-c-devel >= 2.8.0
BuildRequires:  xml-security-c-devel >= 1.4.0
BuildRequires:  xmltooling-devel >= 1.4
BuildRequires:  log4shib-devel >= 1.0.4
BuildRequires:  boost-devel >= 1.32.0
BuildRequires:  doxygen

%description
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

%package bin
Summary:    Utilities for OpenSAML library
Group:      System/Libraries

%description bin
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package contains the utility programs.

%package -n %{libname}
Summary:    OpenSAML SAML library
Group:      System/Libraries

%description -n %{libname}
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package contains just the shared library.

%package -n %{devname}
Summary:	OpenSAML development Headers
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package includes files needed for development with OpenSAML.

%package schemas
Summary:	OpenSAML schemas and catalog
Group:		System/Libraries

%description schemas
OpenSAML is an open source implementation of the OASIS Security Assertion
Markup Language Specification. It contains a set of open source C++ classes
that support the SAML 1.0, 1.1, and 2.0 specifications.

This package includes XML schemas and related files.

%prep
%setup -q
%apply_patches

%build
%configure2_5x PTHREAD_CFLAGS=-pthread PTHREAD_LIBS=-lpthread
%make

%install
rm -rf %{buildroot}
%makeinstall_std pkgdocdir=%{_docdir}/%{name}

%check
%{__make} check

%files bin
%{_bindir}/samlsign

%files -n %{libname}
%{_libdir}/libsaml.so.%{major}*

%files schemas
%{_datadir}/xml/opensaml

%files -n %{devname}
%{_docdir}/%{name}
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/opensaml.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.5.2-4.mga4
+ Revision: 529568
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 2.5.2-3.mga4
+ Revision: 452473
- rebuild for new boost

* Sat Apr 13 2013 barjac <barjac> 2.5.2-2.mga3
+ Revision: 409846
- patched for boost-1.53

* Mon Jan 28 2013 guillomovitch <guillomovitch> 2.5.2-1.mga3
+ Revision: 392912
- new version

* Sun Jan 13 2013 umeabot <umeabot> 2.5.1-3.mga3
+ Revision: 362111
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 2.5.1-2.mga3
+ Revision: 338035
- install schemas under /usr/share/xml/opensaml instead of /usr/share/opensaml

* Wed Jan 02 2013 guillomovitch <guillomovitch> 2.5.1-1.mga3
+ Revision: 337709
- imported package opensaml

